//
// Author: Strelok Vlad Kolerts, (C) 2010
//

#include "iWidget.h"

iWidget::iWidget() : ZKbMainWidget(ZHeader::FULL_TYPE, NULL, "ZMainWidget", WType_Modal | WType_TopLevel)//	TIME_TYPE,	TINY_TYPE,	SMALL_TYPE,	FULL_TYPE
{
	setBackgroundMode(NoBackground);
	fullScreenModeChanged(true);
	resize( 240, 320 );
	
	QFont font("KolertsFont",19,25,false);
	setFont(font);
	
	QString prog_dir=kGetPath(a->argv()[0]);

	Title = new QLabel(this);
	Title->setFixedWidth(240);
	QString text;
		text="<table width=\"240\" border=\"0\" cellspacing=\"0\" cellpadding=\"10\" bgcolor=\"#000000\"><tr><td align=\"center\">";
		text+="<img src="+prog_dir+"kRepoz.png width=\"48\" height=\"48\">";
		text+="</td><td width=\"175\" align=\"left\" >";
		text+="<font size=\"3\" color=\"#eeeeee\"><b>kRepoz 0.1b</b></font><br><font size=\"2\" color=\"#eeeeee\">by Strelok Vlad Kolerts<br>http://e2.at.ua</font>";
		text+="</td></tr></table>";
	Title->setText(text);
	Title->setFixedHeight(Title->heightForWidth(240)-10);
	
	Label = new QLabel(this);
	//Label->setAutoResize(true);
	Label->setFixedWidth(240);
	Label->setFont(font);
	Label->setMargin(10);
	//panel = new ZScrollPanel(this, "iWidget", 0, (ZSkinService::WidgetClsID)4);
	//panel = new ZFormContainer(this, 0, ZSkinService::clsZFormContainer);
	//panel->setFixedWidth(240);
	//panel->addChild(Label, true);
	
	QVBoxLayout* layout = getVBoxLayout();
	layout->addWidget(Title);
	layout->addWidget(Label);
	//layout->addWidget(panel);
	
	ZSoftKey *softKey = this->getSoftKey(true);
	softKey->setText(ZSoftKey::LEFT, "", (ZSoftKey::TEXT_PRIORITY)0);
	softKey->setText(ZSoftKey::RIGHT, UTF("Закрыть"), (ZSoftKey::TEXT_PRIORITY)0);
	softKey->setClickedSlot(ZSoftKey::RIGHT, this, SLOT(hide()));
}

bool iWidget::Show(bool q)
{
	show();
	ZSoftKey *softKey = this->getSoftKey(true);
	if(q)
	{
		question=-1;
		softKey->setText(ZSoftKey::LEFT, "Ok", (ZSoftKey::TEXT_PRIORITY)0);
		softKey->setText(ZSoftKey::RIGHT, UTF("Отмена"), (ZSoftKey::TEXT_PRIORITY)0);
		softKey->setClickedSlot(ZSoftKey::LEFT, this, SLOT(ok()));
		softKey->setClickedSlot(ZSoftKey::RIGHT, this, SLOT(cancel()));
		
		while(question==-1)
		{
			a->processEvents();
		}
		hide();
		return question;
	}
	else
	{
		softKey->setText(ZSoftKey::LEFT, "", (ZSoftKey::TEXT_PRIORITY)0);
		softKey->setText(ZSoftKey::RIGHT, UTF("Закрыть"), (ZSoftKey::TEXT_PRIORITY)0);
		softKey->setClickedSlot(ZSoftKey::RIGHT, this, SLOT(hide()));
		return true;
	}
}

void iWidget::ok()
{
	question=1;
}
void iWidget::cancel()
{
	question=0;
}

void iWidget::keyPressEvent(QKeyEvent*)
{
}

//#include "iWidget.moc"
